function OnWarpEnter() 
	SetMarker("cs\\Warp_0031.wp" , 0 , 0)
	SetMarker("cs\\Warp_0029.wp" , 0 , 0)

	if balcony_open then
		AnimationSetToEnd("cxa1")
		AnimationSetToEnd("cya1")
	else
		AnimationSetToStart("cya1")
		AnimationSetToStart("cxa1")
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0031.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0029.wp" then 
		ChangeWarp(objectName)
	end
end
